// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class ExtensionPointsEditorWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Button buttonNew;
        
        private Gtk.Button buttonRemove;
        
        private Gtk.Button buttonProperties;
        
        private Gtk.HBox hbox4;
        
        private Gtk.ScrolledWindow scrolledwindow6;
        
        private Gtk.TreeView tree;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.ExtensionPointsEditorWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AddinAuthoring.ExtensionPointsEditorWidget";
            // Container child MonoDevelop.AddinAuthoring.ExtensionPointsEditorWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 3;
            this.vbox2.BorderWidth = ((uint)(6));
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 3;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonNew = new Gtk.Button();
            this.buttonNew.CanFocus = true;
            this.buttonNew.Name = "buttonNew";
            this.buttonNew.UseUnderline = true;
            this.buttonNew.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonNew.Gtk.Container+ContainerChild
            Gtk.Alignment w1 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w2 = new Gtk.HBox();
            w2.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w3 = new Gtk.Image();
            w3.Pixbuf = Stetic.IconLoader.LoadIcon(this, "md-new-extension-point", Gtk.IconSize.Menu, 16);
            w2.Add(w3);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w5 = new Gtk.Label();
            w5.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("New Extension Point");
            w5.UseUnderline = true;
            w2.Add(w5);
            w1.Add(w2);
            this.buttonNew.Add(w1);
            this.hbox1.Add(this.buttonNew);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonNew]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonRemove = new Gtk.Button();
            this.buttonRemove.CanFocus = true;
            this.buttonRemove.Name = "buttonRemove";
            this.buttonRemove.UseStock = true;
            this.buttonRemove.UseUnderline = true;
            this.buttonRemove.Relief = ((Gtk.ReliefStyle)(2));
            this.buttonRemove.Label = "gtk-delete";
            this.hbox1.Add(this.buttonRemove);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonRemove]));
            w10.Position = 1;
            w10.Expand = false;
            w10.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonProperties = new Gtk.Button();
            this.buttonProperties.CanFocus = true;
            this.buttonProperties.Name = "buttonProperties";
            this.buttonProperties.UseUnderline = true;
            this.buttonProperties.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonProperties.Gtk.Container+ContainerChild
            Gtk.Alignment w11 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w12 = new Gtk.HBox();
            w12.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w13 = new Gtk.Image();
            w13.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-edit", Gtk.IconSize.Menu, 16);
            w12.Add(w13);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w15 = new Gtk.Label();
            w15.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Properties");
            w15.UseUnderline = true;
            w12.Add(w15);
            w11.Add(w12);
            this.buttonProperties.Add(w11);
            this.hbox1.Add(this.buttonProperties);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonProperties]));
            w19.Position = 2;
            w19.Expand = false;
            w19.Fill = false;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w20.Position = 0;
            w20.Expand = false;
            w20.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            // Container child hbox4.Gtk.Box+BoxChild
            this.scrolledwindow6 = new Gtk.ScrolledWindow();
            this.scrolledwindow6.CanFocus = true;
            this.scrolledwindow6.Name = "scrolledwindow6";
            this.scrolledwindow6.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow6.Gtk.Container+ContainerChild
            this.tree = new Gtk.TreeView();
            this.tree.CanFocus = true;
            this.tree.Name = "tree";
            this.tree.HeadersVisible = false;
            this.tree.HeadersClickable = true;
            this.scrolledwindow6.Add(this.tree);
            this.hbox4.Add(this.scrolledwindow6);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.hbox4[this.scrolledwindow6]));
            w22.Position = 0;
            this.vbox2.Add(this.hbox4);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox4]));
            w23.Position = 1;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.buttonNew.Clicked += new System.EventHandler(this.OnButtonNewClicked);
            this.buttonRemove.Clicked += new System.EventHandler(this.OnButtonRemoveClicked);
            this.buttonProperties.Clicked += new System.EventHandler(this.OnButtonPropertiesClicked);
        }
    }
}
